/**
 * *******************************************************************************
 * @file    button_gpio.h
 * @author  Sebastian Mosquera Salazar
 * @brief   animation LEDs
 * @date    19-05-2023
 * @version v.1.0
 * *******************************************************************************
*/

/*Define to prevent recursive include inclusion ------------------------------------------------------------------------------------*/
#ifndef INC_BUTTON_GPIO_H_
#define INC_BUTTON_GPIO_H_

/** Includes -----------------------------------------------------------------------------------------------------------------------*/
#include "stm32f4xx_hal.h" // Include the HAL to use some of its functions

/* Exported defines ----------------------------------------------------------------------------------------------------------------*/
/* Exported types  -----------------------------------------------------------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------------------------------------------------------------*/
/* Exported macro  -----------------------------------------------------------------------------------------------------------------*/
/* Exported functions  -------------------------------------------------------------------------------------------------------------*/

void BUTTON_GPIO_Setting_Init(GPIO_TypeDef* port, uint16_t pin);
GPIO_PinState BUTTON_GPIO_GetState(void);

#endif /* INC_BUTTON_GPIO_H_ */
/*-------------------------------------------------------- END OF FILE -------------------------------------------------------------*/